org.osgi.resource.dto

## Class CapabilityDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.CapabilityDTO

    public class CapabilityDTO
    extends DTO

Data Transfer Object for a Capability.

Author:
  $Id: 1f7fad1bf5985e7a4e8e72866019a47300402531 $

### Field Summary

Fields
`Map<String,Object>` `attributes` The attributes for the capability.
`Map<String,String>` `directives` The directives for the capability.
`int` `id` The unique identifier of the capability.
`String` `namespace` The namespace for the capability.
`int` `resource` The identifier of the resource declaring the capability.

### Constructor Summary

Constructors
Constructor and Description
`CapabilityDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public int id

The unique identifier of the capability.

This identifier is transiently assigned and may vary across restarts.

#### namespace

    public String namespace

The namespace for the capability.

See Also:
  `Capability.getNamespace()`

#### directives

    public Map<String,String> directives

The directives for the capability.

See Also:
  `Capability.getDirectives()`

#### attributes

    public Map<String,Object> attributes

The attributes for the capability.

The value type must be a numerical type, Boolean, String, DTO or an array of any of the former.

See Also:
  `Capability.getAttributes()`

#### resource

    public int resource

The identifier of the resource declaring the capability.

See Also:
  `ResourceDTO.id`, `Capability.getResource()`

### Constructor Detail

#### CapabilityDTO

    public CapabilityDTO()